Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4464 - file mis-identifying stripped files as non-stripped
Summary: file mis-identifying stripped files as non-stripped
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: file
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Crutcher Dunnavant
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-08-10 17:02 UTC by Jeff Johnson
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-23 22:10:46 UTC


Attachments (Terms of Use)

Description Jeff Johnson 1999-08-10 17:02:42 UTC
bash$ file bzip2
bzip2: ELF 32-bit MSB executable, SPARC, version 1,
dynamically linked (uses shared libs), not stripped

bash$ strip bzip2

bash$ file bzip2
bzip2: ELF 32-bit MSB executable, SPARC, version 1,
dynamically linked (uses shared libs), not stripped

bash$ rpm -q file binutils
file-3.27-1
binutils-2.9.1.0.23-4

Comment 1 Jeff Johnson 1999-08-12 22:09:59 UTC
The routine readelf.c does not detect stripped files on any linux
platform.

Jim: Christian sez' this is yours.

Comment 2 Jeff Johnson 1999-08-23 22:10:59 UTC
Fixed (by applying patch in #4665) in file-3.27-3.


Note You need to log in before you can comment on or make changes to this bug.